org.springframework.cloud.dataflow.registry.repository

## Interface AppRegistrationRepositoryCustom

- All Known Subinterfaces:
    AppRegistrationRepository
  All Known Implementing Classes:
    AppRegistrationRepositoryImpl

      public interface AppRegistrationRepositoryCustom

  Custom Repository interface for managing the `AppRegistration` class.
  Author:
    Siddhant Sorann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion(ApplicationType type, String name, String version, boolean defaultVersion, org.springframework.data.domain.Pageable pageable)` Function to find all app registrations based on various optional parameters using predicates.

- - ### Method Detail

    - #### findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion

          org.springframework.data.domain.Page<AppRegistration> findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion(@Nullable
                                                                                                                      ApplicationType type,
                                                                                                                      @Nullable
                                                                                                                      String name,
                                                                                                                      @Nullable
                                                                                                                      String version,
                                                                                                                      boolean defaultVersion,
                                                                                                                      org.springframework.data.domain.Pageable pageable)

      Function to find all app registrations based on various optional parameters using predicates.
      Parameters:
        `type` - application type.
        `name` - application name.
        `version` - application version.
        `defaultVersion` - default version.
        `pageable` - enumerates the data to be returned.
      Returns:
        paginated list of filtered app registrations.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.